# clusters/atlas/flux-system/applications/finance/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: finance
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: IfNotPresent
spec:
  interval: 10m
  suspend: true
  path: ./services/finance
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
  targetNamespace: finance
  healthChecks:
    - apiVersion: apps/v1
      kind: Deployment
      name: actual-budget
      namespace: finance
    - apiVersion: apps/v1
      kind: Deployment
      name: firefly
      namespace: finance
  wait: false
